hopalong(6)

NAME
hopalong - draw real plane fractals

SYNOPSIS
hopalong [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-cycles integer] [-count integer] [-jong] [-no-jong] [-jong] [-no-sine]

DESCRIPTION
The hop program generates real plane fractals as described in the September 1986 issue of Scientific American.

OPTIONS
hopalong accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 200. The colors used cycle through the hue, making N stops around the color wheel.

-cycles integer
    How long to run each batch. Default 2500 pixels.

-count integer
    How many pixels should be drawn before a color change. Default 1000.

-jong integer

-no-jong integer
    Whether to use the Jong format (default is to choose randomly.)

-sine integer

-no-sine integer
    Whether to use the Sine format (default is to choose randomly.)

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1988-91 by Patrick J. Naughton. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Patrick J. Naughton <naughton@eng.sun.com>, 23-mar-88. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 13-aug-92, and again on 10-May-97.